Summary:	X.org video driver for Trident video adapters
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych Trident
Name:		xorg-driver-video-trident
Version:	1.3.8
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-trident-%{version}.tar.bz2
# Source0-md5:	ea23158dc50a5bf48a0596b8375ff01f
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.8.0
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-videoproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-proto-xf86dgaproto-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.0.99.901
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.8.0
Requires:	xorg-xserver-server >= 1.0.99.901
Provides:	xorg-driver-video
Obsoletes:	X11-driver-trident < 1:7.0.0
Obsoletes:	XFree86-Trident
Obsoletes:	XFree86-driver-trident < 1:7.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for Trident video adapters. It supports PCI, AGP
and ISA video cards based on the following chips:
- Blade (Blade3D, CyberBlade series i1, i7 (DSTN), i1, i1 (DSTN), Ai1,
  Ai1 (DSTN), CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP),
- Image (3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397,
  Cyber9397DVD),
- ProVidia (9682, 9685, Cyber9382, Cyber9385, Cyber9388),
- TGUI (9440AGi, 9660, 9680),
- ISA/VLBus (8900C, 8900D, 9000, 9200CXr, Cyber9320, 9400CXi,
  9440AGi).

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych Trident. Obsługuje karty
PCI, AGP i ISA oparte na następujących układach:
- Blade (Blade3D, CyberBlade series i1, i7 (DSTN), i1, i1 (DSTN), Ai1,
  Ai1 (DSTN), CyberBlade/e4, CyberBladeXP, CyberBladeAi1/XP, BladeXP),
- Image (3DImage975, 3DImage985, Cyber9520, Cyber9525, Cyber9397,
  Cyber9397DVD),
- ProVidia (9682, 9685, Cyber9382, Cyber9385, Cyber9388),
- TGUI (9440AGi, 9660, 9680),
- ISA/VLBus (8900C, 8900D, 9000, 9200CXr, Cyber9320, 9400CXi,
  9440AGi).

%prep
%setup -q -n xf86-video-trident-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/trident_drv.so
%{_mandir}/man4/trident.4*
%changelog
* Fri Jan 20 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-trident.git;a=log;h=master

* Fri Jan 20 2017 Jakub Bogusz <qboosh@pld-linux.org> 8416360
- updated to 1.3.8
- removed obsolete xserver-1.19 patch

* Mon Nov 28 2016 Jan Rękorajski <baggins@pld-linux.org> 10fe25b
- fix building with xserver 1.19
- rel 4

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> c93127a
- release 3 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 6476ed2
- release 2 (by relup.sh)

* Tue Apr 07 2015 Jakub Bogusz <qboosh@pld-linux.org> d6e9eca
- updated to 1.3.7
- removed obsolete mibstore,fix-loading-the-driver-without-XAA patches

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 1cb5909
- due to xserver 1.17
- release 7 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6dba162
- xserver rebuild
- release 6 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ba4db5
- xserver rebuild
- release 5 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 0d87120
- release 4 (by relup.sh)

* Sun Apr 07 2013 Jan Rękorajski <baggins@pld-linux.org> 3ea3ac0
- fix building with xserver 1.14
- rel 3

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 8a746b4
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 642d640
- updated to 1.3.6

* Sat Mar 24 2012 Jakub Bogusz <qboosh@pld-linux.org> 9d354fa
- updated to 1.3.5

* Mon Mar 05 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 1774db9
- release 6

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 5ee9b66
- release 5

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> f23db0d
- xorg-driver-video virtual for video drivers
- release 4

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> abdebb5
- release 3

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 5ab9400
- rel up

* Mon Aug 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 254df1a
- added README to docs
- updated deps

* Sat Aug 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 99ade47
- up to 1.3.4

